Go to the latest version of this document.

# ``twisted`.`persisted`.`sob`.`IPersistable``

interface documentation

`class IPersistable(Interface): (source)`

Known implementations: `twisted.persisted.sob.Persistent`

View In Hierarchy

An object which can be saved in several formats to a file

Method | `save` | Save object to file.
Method | `setStyle` | Set desired format.

def save(tag=None, filename=None, passphrase=None): (source)

Save object to file.

Parameters
tag:string | Undocumented
filename:string | Undocumented
passphrase:string | Undocumented

def setStyle(style): (source)

Set desired format.

Parameters
style:string (one of 'pickle' or 'source') | Undocumented